org.gnome.gtk

## Class ArrowType

- Object
- - org.freedesktop.bindings.Constant
  - - org.gnome.gtk.ArrowType

-     public final class ArrowType
      extends org.freedesktop.bindings.Constant

  Used to indicate the direction in which the arrow graphic on an `Arrow` Widget will point.
  Since:
    4.0.10
  Author:
    Serkan Kaba, Andrew Cowie

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static ArrowType` | `DOWN` Represents an downward pointing arrow.
    `static ArrowType` | `LEFT` Represents a left pointing arrow.
    `static ArrowType` | `NONE` Don't draw an arrow.
    `static ArrowType` | `RIGHT` Represents an arrow pointing right.
    `static ArrowType` | `UP` Represents an upward pointing arrow.

  - ### Method Summary

    - ### Methods inherited from class org.freedesktop.bindings.Constant

      `toString`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### DOWN

          public static final ArrowType DOWN

      Represents an downward pointing arrow.

    - #### LEFT

          public static final ArrowType LEFT

      Represents a left pointing arrow.

    - #### NONE

          public static final ArrowType NONE

      Don't draw an arrow.

      `NONE` is a special mode which causes an Arrow Widget to occupies the space that an normal Arrow would, but without having an arrow graphic drawn in it. This can be useful in cases where you are trying to normalize the size requests for a series of Widgets.

    - #### RIGHT

          public static final ArrowType RIGHT

      Represents an arrow pointing right.

    - #### UP

          public static final ArrowType UP

      Represents an upward pointing arrow.